# Robot Groups

Allows managing Robot Groups. The user can create and manage Robot Groups, as well as manage the association of Robots with these Groups.

Methods:

1\) [Creating a New Robot Group](#user-content-fn-1)[^1]

2\) [Getting Information about a Robot Group by GUID](#user-content-fn-2)[^2]

3\) [Updating Information about a Robot Group by GUID](#user-content-fn-3)[^3]

4\) [Deleting Information about a Robot Group by GUID](#user-content-fn-4)[^4]

5\) [Adding a Robot by GUID to a Robot Group by GUID](#user-content-fn-5)[^5]

6\) [Removing a Robot by GUID from a Robot Group by GUID](#user-content-fn-4)[^4]

[^1]: /api/robotGroup/create

[^2]: /api/robotGroup/read/{guid}

[^3]: /api/robotGroup/update

[^4]: /api/robotGroup/delete/{guid}

[^5]: /api/robotGroup/addRobot


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/gruppy-robotov.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
